Loading...
Searching...
No Matches
mbedtls_lmots_public_t Struct Reference

`#include <lms.h>`

Collaboration diagram for mbedtls_lmots_public_t:
[legend]

## Data Fields

mbedtls_lmots_parameters_t | private_params
unsigned char | private_public_key [MBEDTLS_LMOTS_N_HASH_LEN_MAX]
unsigned char | private_have_public_key

## Detailed Description

LMOTS public context structure.

A LMOTS public key is a hash output, and the applicable parameter set.

The context must be initialized before it is used. A public key must either be imported or generated from a private context.

Definition at line 121 of file lms.h.

## Field Documentation

## private_have_public_key

unsigned char mbedtls_lmots_public_t::private_have_public_key

Whether the context contains a public key. Boolean values only.

Definition at line 124 of file lms.h.

## private_params

mbedtls_lmots_parameters_t mbedtls_lmots_public_t::private_params

Definition at line 122 of file lms.h.

## private_public_key

unsigned char mbedtls_lmots_public_t::private_public_key[MBEDTLS_LMOTS_N_HASH_LEN_MAX]

Definition at line 123 of file lms.h.

The documentation for this struct was generated from the following file:

- lms.h